cURL
curl --request GET \
--url https://api.synctera.com/v2/cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"case": {
"bank_id": "<string>",
"case_type": "account_closure",
"partner_id": "<string>",
"state": "acknowledged",
"tenant": "<string>",
"title": "<string>",
"account_closure": {
"account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_reason": "change_of_legal_address",
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"transaction_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"updated_at": "2023-11-07T05:31:56Z"
},
"aml": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"party_address": "<string>",
"party_created_at": "2023-11-07T05:31:56Z",
"party_email": "jsmith@example.com",
"party_name": "<string>",
"party_type": "BUSINESS",
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_party_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"report_id": "<string>",
"report_type": "US_SAR",
"rule_failure_info": [
{
"failure_at": "<string>",
"failure_reason": "<string>",
"rule_description": "<string>",
"rule_name": "<string>"
}
],
"transactions": [
{
"info": {},
"payment_type": "ACH",
"transaction_amount": 123,
"transaction_at": "<string>",
"transaction_uuid": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
},
"application": {
"application_id": "<string>",
"application_type": "RESTRICTED",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"balance_monitoring": {
"account_uuid": "<string>",
"balance_alert_reason": "<string>",
"balance_reason": "CARD NETWORK CHARGEBACK",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"party_type": "BUSINESS",
"party_uuid": "<string>",
"recovery_amount": 123,
"recovery_date": "2023-11-07T05:31:56Z",
"recovery_status": "FULLY RECOVERED",
"recovery_transaction_id": "<string>",
"transaction_amount": 123,
"transaction_date": "2023-11-07T05:31:56Z",
"transaction_id": "<string>",
"transaction_type": "ACH",
"updated_at": "2023-11-07T05:31:56Z"
},
"business_alert": {
"alert_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"custom_card_review": {
"image_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"comments": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"image_rejection_reason": "BRANDED",
"updated_at": "2023-11-07T05:31:56Z"
},
"customer_alert": {
"alert_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"disclosure": {
"disclosure_type": "ACH_AUTHORIZATION",
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"disclosure_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"results": {},
"updated_at": "2023-11-07T05:31:56Z"
},
"dispute": {
"account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth_dispute": {
"authorized_amount": 123
},
"card_exp_date": "<string>",
"card_last_4": "<string>",
"card_status": "IN_POSSESSION",
"card_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_address": "<string>",
"customer_email": "jsmith@example.com",
"customer_phone": "<string>",
"dispute_amount": 123,
"dispute_type": "AUTHORIZATION",
"dispute_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_case_id": "<string>",
"final_message_date": "2023-12-25",
"fraud_dispute": {
"channel": "<string>",
"is_card_present": true,
"is_pin_present": true,
"network": "<string>",
"processing_type": "<string>",
"subnetwork": "<string>"
},
"id": 123,
"is_account_older_30_days": true,
"is_transaction_fraud": true,
"merchant_name": "<string>",
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_type": "ACH",
"pc_reversal_amount": 123,
"pc_reversal_date": "2023-12-25",
"processing_dispute": {
"acquirer_ref_data": "<string>",
"acquirer_switch_serial_number": 123,
"details": "<string>",
"is_customer_participant": true,
"processing_dispute_type": "ADDENDUM",
"processing_dispute_type_date": "<string>"
},
"provisional_credit_amount": 123,
"provisional_credit_date": "2023-12-25",
"reg_e_deadline_date": "2023-12-25",
"reg_e_deadline_extended_date": "2023-12-25",
"reg_e_extended_investigation_due_date": "2023-12-25",
"reg_e_investigation_due_date": "2023-12-25",
"reported_date": "2023-12-25",
"transaction_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
},
"fintech_profile_document": {
"document_id": "<string>",
"fintech_profile_document_id": "<string>",
"latest_document_version": 123,
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"document_type": "ACH_AUTHORIZATION_AND_AGREEMENT_DISCLOSURE",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"fraud": {
"outcome": "<string>",
"payment_type": "ACH",
"provider": "<string>",
"provider_info": "<unknown>",
"transaction": "<unknown>",
"transaction_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"fraud_detector": "DISPUTE",
"id": 123,
"originator_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originator_party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_rules": [
"<string>"
],
"receiver_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiver_party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
},
"information_request": {
"initiator": "<string>",
"receiver": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"interest_calculation": {
"account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effective_date": "2023-11-07T05:31:56Z",
"type": "BACKDATED_PAYMENT",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"international_wire": {
"amount_in_beneficiary_currency": 123,
"beneficiary_currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_wire_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originating_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiving_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_amount": 123,
"sender_currency": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"network_reference_id": "<string>",
"reason": "<string>",
"status": "CANCELLED",
"updated_at": "2023-11-07T05:31:56Z"
},
"invoice": {
"approval": true,
"input_validation": true,
"accounting_sign_off": "<string>",
"ceo_sign_off": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"kyb": {
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"kyc": {
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"lost_card": {
"description": "<string>",
"resolution": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"extenuating_circumstances": true,
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"marketing_material": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_segments": [
"<string>"
],
"id": 123,
"marketing_channels": [
"<string>"
],
"planned_production_release_date": "2023-12-25",
"planned_production_removal_date": "2023-12-25",
"related_products": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
},
"partner_monitoring_request": {
"details": "<string>",
"partner_monitoring_schedule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"payment_alert": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"incoming_ach_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "INCOMING_NOC",
"updated_at": "2023-11-07T05:31:56Z"
},
"product_testing": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"lifecycle_test_date": "2023-12-25",
"performance_test_date": "2023-12-25",
"statement_system_name": "<string>",
"statement_system_version": 123,
"uat_test_date": "2023-12-25",
"updated_at": "2023-11-07T05:31:56Z",
"uploaded_at": "2023-11-07T05:31:56Z"
},
"program_spend_limit": {
"alert_threshold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alert_type": "LIMIT_EXCEEDED",
"bucket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effective_date": "2023-12-25",
"limit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"purchase_verification": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"rule_failure_details": [
{
"actual": 123,
"description": "<string>",
"limit": 123,
"rule_name": "<string>",
"rule_subtype": "MEDICAL_CANNABIS",
"unit": "<string>"
}
],
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verification_type": "CANNABIS_DEPOSIT"
},
"rdc": {
"deposit_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"reconciliation": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"transaction_ids": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
},
"risk_review": {
"party_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"rule_changes": {
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"sar": {
"account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"narrative": "<string>",
"other_suspicious_activity_type_text": "<string>",
"report_end_date": "2023-12-25",
"report_start_date": "2023-12-25",
"sar_type": "CONTINUOUS",
"suspicious_activity_subtype_id": "<string>",
"suspicious_activity_type_id": "<string>",
"total_amount": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"spend_monitoring": {
"account_id": "<string>",
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"spend_control_id": "<string>",
"spend_control_violation_counter": 123,
"transaction_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"statement_verification": {
"account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"is_account_number_present": true,
"is_apy_earned_present": true,
"is_balance_present": true,
"is_interest_accrual_date_present": true,
"is_interest_calculation_type_present": true,
"is_interest_earned_period_present": true,
"is_interest_earned_to_date_present": true,
"is_minimum_balance_present": true,
"is_notification_type_present": true,
"is_overdraft_fees_present": true,
"is_routing_number_present": true,
"is_statement_availability_date_present": true,
"is_statement_number_present": true,
"is_statement_period_end_present": true,
"is_statement_period_start_present": true,
"is_system_present": true,
"is_total_returned_fees_present": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"support_request": {
"initiator": "<string>",
"receiver": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"gitlab_issue_id": "<string>",
"id": 123,
"support_issue_time": "<string>",
"support_ref_link": "<string>",
"support_status": "CLOSED",
"support_type": "BUG",
"updated_at": "2023-11-07T05:31:56Z"
},
"transaction_review": {
"amount": 123,
"payment_type": "ACH",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"current_owner_groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"description": "<string>",
"id": 123,
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "<string>",
"payment_subtype": "BULK_DOMESTIC_OUTGOING",
"threshold_config_snapshot": {
"payment_type": "ACH",
"tenant": "<string>",
"thresholds": [
{
"action": "APPROVE",
"tenant": "<string>",
"threshold": 123,
"threshold_level": "BANK_EXEC",
"bank_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"owner_bank_id": "<string>",
"owner_groups": [
"<string>"
],
"owner_partner_id": "<string>",
"owner_tenant": "<string>",
"partner_id": "<string>",
"payment_type_config_id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"bank_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"fintech_ops_groups": [
"<string>"
],
"id": 123,
"partner_id": "<string>",
"payment_subtype": "BULK_DOMESTIC_OUTGOING",
"updated_at": "2023-11-07T05:31:56Z"
},
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
},
"watchlist_match": {
"watchlist_name": "US_OFAC",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"payee_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"vendor_info": {},
"verification_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"assignees": [
"<string>"
],
"assignments": [
{
"is_first_assignment": true,
"is_owner": true,
"name": "<string>",
"tenant": "<string>",
"case_id": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"attachments": [
{
"case_id": 123,
"filename": "<string>",
"target_object": "<string>",
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": 123,
"note_id": 123,
"object_metadata": "<unknown>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"current_assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_owner": "<string>",
"description": "<string>",
"escalated_at": "2023-11-07T05:31:56Z",
"followers": [
"<string>"
],
"id": 123,
"last_assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": [
{
"case_id": 123,
"content": "<string>",
"user_tenant": "<string>",
"author_organization": {
"name": "<string>",
"type": "partner"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"files": [
{
"case_id": 123,
"filename": "<string>",
"target_object": "<string>",
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"id": 123,
"note_id": 123,
"object_metadata": "<unknown>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"id": 123,
"rich_text_content": "This is **bold** text and this is *italic* text",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"opened_from": 17214,
"priority": "critical",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "AML",
"status": "CLOSED",
"subjects": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
}Cases
Get case
GET
/
cases
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
A single case, returned by GET /cases/{id} and similar endpoints.
A case, combining the common case fields with any type-specific extension data.
Show child attributes
Show child attributes
Was this page helpful?

